Call for testing: OpenSSH 7.6
Iain Morgan
imorgan+openssh at nas.nasa.gov
Sat Sep 30 04:05:41 AEST 2017
On Thu, Sep 21, 2017 at 10:47:59 +1000, Damien Miller wrote:
> Hi,
>
> OpenSSH 7.6p1 is almost ready for release, so we would appreciate testing
> on as many platforms and systems as possible. This is a bugfix release.
>
Hi Damien,
I sent this report last week, but due to a prlblem at my end it never
made it to the list.
The 20170922 snapshot successfully builds on RHEL 6.9/x86_64 with
LibreSSL 2.6.1. However, the regression tests fail with
regress/authinfo.sh:
run test authinfo.sh ...
ExposeAuthInfo=no
SSH_USER_AUTH: Undefined variable.
SSH_USER_AUTH present
ExposeAuthInfo=yes
failed authinfo
make[1]: *** [t-exec] Error 1
make[1]: Leaving directory
`/u/wk/imorgan/src/openssh/build/openssh/regress'
make: *** [tests] Error 2
This is due to my shell being csh, which is pickier about undefined
variables than the Bourne-style shells. The attached patch fixes the
issue.
--
Iain Morgan
diff --git a/regress/authinfo.sh b/regress/authinfo.sh
index e725296..e4275be 100644
--- a/regress/authinfo.sh
+++ b/regress/authinfo.sh
@@ -6,7 +6,7 @@ tid="authinfo"
# Ensure the environment variable doesn't leak when ExposeAuthInfo=no.
verbose "ExposeAuthInfo=no"
env SSH_USER_AUTH=blah ${SSH} -F $OBJ/ssh_proxy x \
- 'test -z "$SSH_USER_AUTH"' || fail "SSH_USER_AUTH present"
+ 'test -z `printenv SSH_USER_AUTH`' || fail "SSH_USER_AUTH present"
verbose "ExposeAuthInfo=yes"
echo ExposeAuthInfo=yes >> $OBJ/sshd_proxy
More information about the openssh-unix-dev
mailing list